## jovie 4.8.5

=== filters/xmltransformer/CMakeLists.txt ===

include_directories( ${CMAKE_SOURCE_DIR}/jovie/libkttsd  )


########### next target ###############

set(jovie_xmltransformerplugin_PART_SRCS xmltransformerconf.cpp xmltransformerproc.cpp xmltransformerplugin.cpp )

kde4_add_ui_files(jovie_xmltransformerplugin_PART_SRCS xmltransformerconfwidget.ui )

kde4_add_plugin(jovie_xmltransformerplugin ${jovie_xmltransformerplugin_PART_SRCS})



target_link_libraries(jovie_xmltransformerplugin  ${KDE4_KDECORE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} kttsd )

install(TARGETS jovie_xmltransformerplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES xhtml2ssml.xsl xhtml2ssml_simple.xsl  DESTINATION  ${DATA_INSTALL_DIR}/jovie/xmltransformer/ )
install( FILES jovie_xmltransformerplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

## jovie 4.8.2

=== debian/changelog ===
jovie (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:31:58 +0100

jovie (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:53 +0000

jovie (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:19:20 +0100

jovie (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:39 +0000

jovie (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:36 +0000

jovie (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:19:40 +0100

jovie (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 15:32:24 +0000

=== debian/control ===
Source: jovie
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 libspeechd-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie

Package: jovie
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Replaces: kttsd (<< 4:4.6), kmouth (<< 4:4.7.90)
Breaks: kttsd (<< 4:4.6), kmouth (<< 4:4.7.90)
Provides: kttsd
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Homepage: http://accessibility.kde.org/developer/kttsd
Description: text-to-speech system for KDE
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: utils
Architecture: all
Depends: ${misc:Depends}, jovie
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

## jovie 4.8.4

=== debian/changelog ===
jovie (4:4.8.4-2) unstable; urgency=low

  * Woops. Missing a epoch. reuploading with epoch.

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 12:21:33 +0200

jovie (4.8.4-1) unstable; urgency=low

  * Team upload.

  [ Sune Vuorela ]
  * Initial release split from kdeaccessibility

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Jun 2012 22:23:55 -0300

=== debian/control ===
Source: jovie
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 8.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 libspeechd-dev
Standards-Version: 3.9.3
Homepage: http://accessibility.kde.org/developer/kttsd

Package: jovie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Replaces: kttsd (<< 4:4.6), kmouth (<< 4:4.8)
Breaks: kttsd (<< 4:4.6)
Provides: kttsd
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Description: text-to-speech system 
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, jovie
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

Package: jovie-dbg
Section: debug
Priority: extra
Architecture: any
Depends: jovie (= ${binary:Version})
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for jovie
 This package contains the debugging symbols for jovie. It is to be used 
 in order to be able provide proper back traces for possible crashes or 
 for running jovie in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module

## jovie 4.8.5

=== debian/changelog ===
jovie (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:38:39 +0200

jovie (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:32:16 +0200

jovie (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:01:52 +0200

=== debian/control ===
Source: jovie
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 libspeechd-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie

Package: jovie
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Replaces: kttsd (<< 4:4.6), kmouth (<< 4:4.7.90)
Breaks: kttsd (<< 4:4.6), kmouth (<< 4:4.7.90)
Provides: kttsd
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Homepage: http://accessibility.kde.org/developer/kttsd
Description: text-to-speech system for KDE
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: utils
Architecture: all
Depends: ${misc:Depends}, jovie
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

## jovie 4.9.2

=== debian/changelog ===
jovie (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:10:00 +0100

jovie (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:15:21 +0530

jovie (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:47 +0100

jovie (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:59:28 +0100

jovie (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:02:03 +0200

jovie (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:21:33 +0100

jovie (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add libssl-dev to build-dep
    - Bump Standard-Version to 3.9.3 (no change)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:01:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
- libspeechd-dev
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.9.2),
+ libspeechd-dev, libssl-dev
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie

## jovie 4.9.3

=== debian/changelog ===
jovie (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3),
  libspeechd-dev, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org

## jovie 4.9.5

=== debian/changelog ===
jovie (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:19:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.5),
  libspeechd-dev, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org

## jovie 4.10.0

=== debian/changelog ===
jovie (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:30:10 +0000

jovie (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:55:18 +0000

jovie (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:23:32 +0100

jovie (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:15:01 +0000

jovie (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:35:21 +0000

jovie (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:42:46 +0000

jovie (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0),
  libspeechd-dev, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org

## jovie 4.10.2

=== debian/changelog ===
jovie (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release
    - drop jovie_scroll_when_add.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:35:38 +0200

jovie (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Move transitional kttsd package to oldlibs/extra 
  * Drop obsolete lintian-overrides file from kdeaccessibility 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:12:07 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libspeechd-dev, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
@@ -31,7 +31,8 @@
  This package is part of the KDE accessibility module.
 
 Package: kttsd
-Section: utils
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, jovie
 Description: transitional package for jovie

## jovie 4.10.4

=== debian/changelog ===
jovie (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:21:21 +0200

jovie (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:02:15 +0200

jovie (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - drop jovie_scroll_when_add.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:35:38 +0200

jovie (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * Move transitional kttsd package to oldlibs/extra 
  * Drop obsolete lintian-overrides file from kdeaccessibility 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:12:07 +0000

jovie (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:30:10 +0000

jovie (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:55:18 +0000

jovie (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:23:32 +0100

jovie (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:15:01 +0000

jovie (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:35:21 +0000

jovie (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:42:46 +0000

jovie (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.4),
  libspeechd-dev, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org

## jovie 4.11.2

=== debian/changelog ===
jovie (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:56:47 +0100

jovie (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:04:57 +0100

jovie (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:56:50 +0100

jovie (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:04:09 +0100

jovie (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:45 +0000

jovie (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:58:35 +0100

jovie (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
  * Update install files

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:45:34 +0100

jovie (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:34:31 +0100

jovie (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:09 +0000

jovie (4:4.10.2-1) experimental; urgency=low

  * New upstream.
  * Remove scroll-fix patch. Merged upstream.
  * Bump build-deps to 4.10.

 -- Sune Vuorela <sune@debian.org>  Sat, 06 Apr 2013 10:35:37 +0000

=== debian/control ===
Source: jovie
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 8.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libspeechd-dev
Standards-Version: 3.9.3
Homepage: http://accessibility.kde.org/developer/kttsd

Package: jovie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, speech-dispatcher
Replaces: kttsd (<< 4:4.6), kmouth (<< 4:4.8)
Breaks: kttsd (<< 4:4.6)
Provides: kttsd
Recommends: speech-dispatcher-festival | espeak | flite, kmouth
Description: text-to-speech system 
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, jovie
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

Package: jovie-dbg
Section: debug
Priority: extra
Architecture: any
Depends: jovie (= ${binary:Version})
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for jovie
 This package contains the debugging symbols for jovie. It is to be used 
 in order to be able provide proper back traces for possible crashes or 
 for running jovie in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module

## jovie 4.11.3

=== debian/changelog ===
jovie (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)
  * Disable tests as we don't build the kde tests 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:37:39 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
  libspeechd-dev
 Standards-Version: 3.9.3
 Homepage: http://accessibility.kde.org/developer/kttsd
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie-13.10
 
 Package: jovie
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=jovie-dbg

override_dh_auto_test:
	# kde tests aren't build so don't run them

## jovie 4.12.3

=== debian/changelog ===
jovie (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:22:00 +0100

jovie (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:17:37 +0100

jovie (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:36:11 +0000

jovie (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:55:56 +0000

jovie (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:24:02 +0000

jovie (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:29:58 +0000

jovie (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:42:06 +0100

jovie (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Disable tests

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
  libspeechd-dev
 Standards-Version: 3.9.3
 Homepage: http://accessibility.kde.org/developer/kttsd
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
 
 Package: jovie
 Architecture: any

## jovie 4.13.0

=== filters/xmltransformer/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-
-include_directories( ${CMAKE_SOURCE_DIR}/jovie/libkttsd  )
 
 
 ########### next target ###############
@@ -12,7 +10,7 @@
 
 
 
-target_link_libraries(jovie_xmltransformerplugin  ${KDE4_KDECORE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} kttsd )
+target_link_libraries(jovie_xmltransformerplugin  ${KDE4_KIO_LIBS} kttsd )
 
 install(TARGETS jovie_xmltransformerplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )

=== debian/changelog ===
jovie (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:36:47 +0100

jovie (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:08:20 +0200

jovie (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:54:59 +0100

jovie (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:34:54 +0000

jovie (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:27:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
  libspeechd-dev
 Standards-Version: 3.9.3
 Homepage: http://accessibility.kde.org/developer/kttsd

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=jovie-dbg

.PHONY: override_dh_auto_test

## jovie 4.13.3

=== CMakeLists.txt ===
project(kttsd)

set(CMAKE_MODULE_PATH "${kttsd_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

find_package( Qt4 REQUIRED QT_USE_QT* )
include( ${QT_USE_FILE} )

enable_testing()

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

if (Q_WS_X11)
  macro_optional_find_package(Speechd)
  macro_log_feature(SPEECHD_FOUND "speechd" "Speech Dispatcher provides a high-level device independent layer for speech synthesis" "http://www.freebsoft.org/speechd" FALSE "" "Jovie requires speech dispatcher.")

  if (SPEECHD_FOUND)
    configure_file (config-jovie.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-jovie.h )

    include_directories(${CMAKE_CURRENT_BINARY_DIR}/libkttsd ${CMAKE_CURRENT_SOURCE_DIR}/libkttsd)

    add_subdirectory( doc )
    add_subdirectory( libkttsd )
    add_subdirectory( filters )
    add_subdirectory( jovie )
    add_subdirectory( kcmkttsmgr )
    add_subdirectory( icons )
  endif (SPEECHD_FOUND)
else (Q_WS_X11)
  message(FATAL_ERROR "Jovie requires a X11-based system.")
endif (Q_WS_X11)

macro_display_feature_log()

=== libkttsd/CMakeLists.txt ===

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=2405)

set(kttsd_LIB_SRCS
   talkercode.cpp 
   filterproc.cpp 
   filterconf.cpp 
   utils.cpp 
   talkerlistmodel.cpp 
   selecttalkerdlg.cpp 
   selectlanguagedlg.cpp) 

kde4_add_ui_files(kttsd_LIB_SRCS selecttalkerwidget.ui )


kde4_add_library(kttsd SHARED ${kttsd_LIB_SRCS})

target_link_libraries(kttsd
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${QT_QTXML_LIBRARY}
    )

set_target_properties(kttsd PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kttsd  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

#install( FILES kttsd_synthplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

=== filters/stringreplacer/CMakeLists.txt ===


########### next target ###############

set(jovie_stringreplacerplugin_PART_SRCS
    stringreplacerconf.cpp stringreplacerproc.cpp
    stringreplacerplugin.cpp cdataescaper.cpp)

kde4_add_ui_files(jovie_stringreplacerplugin_PART_SRCS stringreplacerconfwidget.ui editreplacementwidget.ui )

kde4_add_plugin(jovie_stringreplacerplugin ${jovie_stringreplacerplugin_PART_SRCS})



target_link_libraries(jovie_stringreplacerplugin  ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} kttsd )

install(TARGETS jovie_stringreplacerplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### test cdata escaper ##########

set(test_cdataescaper_SRCS testcdataescaper.cpp cdataescaper.cpp)
kde4_add_unit_test(
    test_cdataescaper TESTNAME jovie-cdata_esecaper
    ${test_cdataescaper_SRCS}
)
target_link_libraries(test_cdataescaper
    ${KDE4_KDECORE_LIBS}
    ${QT_QTTEST_LIBRARY}
    ${QT_QTCORE_LIBRARY}
)

########### install files ###############

install(FILES
    abbreviations.xml
    chat.xml
    chat-de.xml
    emoticons.xml
    polish_festival_fixes.xml
    polish_festival_unspeakables.xml
    kmail.xml
    festival_unspeakable_chars.xml
    qt2plaintext.xml DESTINATION ${DATA_INSTALL_DIR}/jovie/stringreplacer/)

install( FILES jovie_stringreplacerplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== filters/talkerchooser/CMakeLists.txt ===


########### next target ###############

set(jovie_talkerchooserplugin_PART_SRCS talkerchooserconf.cpp talkerchooserproc.cpp talkerchooserplugin.cpp )


kde4_add_ui_files(jovie_talkerchooserplugin_PART_SRCS talkerchooserconfwidget.ui )


kde4_add_plugin(jovie_talkerchooserplugin ${jovie_talkerchooserplugin_PART_SRCS})



target_link_libraries(jovie_talkerchooserplugin  ${KDE4_KIO_LIBS} kttsd )

install(TARGETS jovie_talkerchooserplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES female_notifications_rc  DESTINATION  ${DATA_INSTALL_DIR}/jovie/talkerchooser/ )
install( FILES jovie_talkerchooserplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
jovie (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:20:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libspeechd-dev
 Standards-Version: 3.9.3
 Homepage: http://accessibility.kde.org/developer/kttsd

## jovie 4.14.1

=== debian/changelog ===
jovie (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:27:09 +0200

jovie (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:31:38 +0200

jovie (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:12:22 +0200

jovie (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:25:02 +0200

jovie (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Remove no_MAXPATHLEN_in_hurd.patch which no longer applies

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 11:42:52 -0700

jovie (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes
  * Drop kcmkttsd_permanent_settings_jobmgr_fixes.diff from bzr

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:41:29 +0100

jovie (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 18 May 2014 00:39:18 +0200

jovie (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:06 +0200

jovie (4:4.12.2-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * Add vcs fields.
  * New upstream release.
  * Bump kde4libs b-d version.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:17 +0100

jovie (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:59:59 +0100

jovie (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * New path: no_MAXPATHLEN_in_hurd.patch to fix build in hurd.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:34:26 +0200

jovie (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 15:40:03 +0200

jovie (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 08:38:10 +0200

=== debian/control ===
Source: jovie
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libspeechd-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://accessibility.kde.org/developer/kttsd
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/jovie.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/jovie.git

Package: jovie
Architecture: any
Depends: speech-dispatcher, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmouth (<< 4:4.8), kttsd (<< 4:4.6)
Breaks: kttsd (<< 4:4.6)
Provides: kttsd
Recommends: kmouth, speech-dispatcher-festival | espeak | flite
Description: text-to-speech system
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: oldlibs
Architecture: all
Priority: extra
Depends: jovie, ${misc:Depends}
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

Package: jovie-dbg
Section: debug
Priority: extra
Architecture: any
Depends: jovie (= ${binary:Version})
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for jovie
 This package contains the debugging symbols for jovie. It is to be used
 in order to be able provide proper back traces for possible crashes or
 for running jovie in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module

## jovie 4.14.2

=== debian/changelog ===
jovie (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:36:23 +0200

jovie (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:57:40 -0700

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=jovie-dbg
 
-.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/jovie-([\d\.]*).tar.xz

## jovie 14.12.3

=== debian/changelog ===
jovie (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:04:49 -0700

jovie (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:58:26 -0800

jovie (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:26:29 +0100

jovie (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 10:12:29 -0800

jovie (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 09:16:56 -0800

jovie (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 22 Nov 2014 10:43:44 +0000

jovie (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:17 +0200

jovie (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:57:40 -0700

jovie (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patch: no_MAXPATHLEN_in_hurd.patch

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 20:42:14 +0200

jovie (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 19:00:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,22 @@
 Source: jovie
 Section: utils
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://accessibility.kde.org/developer/kttsd
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/jovie
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/jovie.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/jovie.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/jovie.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/jovie.git
 
 Package: jovie
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/jovie-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/jovie-([\d.]+).tar.xz

## jovie 15.08.2

=== debian/changelog ===
jovie (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:52:17 +0100

jovie (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:12:36 +0100

jovie (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:59:06 +0100

jovie (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:29:47 +0100

jovie (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update install file.

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:28:25 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                kdelibs5-dev,
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://accessibility.kde.org/developer/kttsd
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/jovie.git/

## jovie 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
 
 if (Q_WS_X11)
-  macro_optional_find_package(Speechd)
-  macro_log_feature(SPEECHD_FOUND "speechd" "Speech Dispatcher provides a high-level device independent layer for speech synthesis" "http://www.freebsoft.org/speechd" FALSE "" "Jovie requires speech dispatcher.")
+  find_package(Speechd)
+  macro_log_feature(SPEECHD_FOUND "speechd" "Speech Dispatcher provides a high-level device independent layer for speech synthesis" "http://www.freebsoft.org/speechd" TRUE "" "Jovie requires speech dispatcher.")
 
   if (SPEECHD_FOUND)
     configure_file (config-jovie.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-jovie.h )

=== jovie/CMakeLists.txt ===

include_directories( ${SPEECHD_INCLUDE_DIR} )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=2400)

########### next target ###############

set(jovie_SRCS
   main.cpp
   jovie.cpp
   speaker.cpp
   appdata.cpp
   ssmlconvert.cpp
   filtermgr.cpp
   talkermgr.cpp
   jovietrayicon.cpp
)

qt4_add_dbus_adaptor(jovie_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml jovie.h Jovie)

kde4_add_executable(jovie_bin ${jovie_SRCS})

set_target_properties(jovie_bin PROPERTIES OUTPUT_NAME jovie)

target_link_libraries(jovie_bin
    ${SPEECHD_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    kttsd )

install(TARGETS jovie_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES SSMLtoPlainText.xsl  DESTINATION  ${DATA_INSTALL_DIR}/jovie/xslt/ )
install( FILES jovie.desktop kttsd.desktop DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS jovieapp.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES jovie.appdata.xml DESTINATION  ${SHARE_INSTALL_PREFIX}/appdata/ )

=== libkttsd/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+
+include_directories( ${SPEECHD_INCLUDE_DIR} )
 
 add_definitions(-DKDE_DEFAULT_DEBUG_AREA=2405)
 
@@ -5,17 +7,12 @@
    talkercode.cpp 
    filterproc.cpp 
    filterconf.cpp 
-   utils.cpp 
-   talkerlistmodel.cpp 
-   selecttalkerdlg.cpp 
-   selectlanguagedlg.cpp) 
-
-kde4_add_ui_files(kttsd_LIB_SRCS selecttalkerwidget.ui )
-
+   talkerlistmodel.cpp ) 
 
 kde4_add_library(kttsd SHARED ${kttsd_LIB_SRCS})
 
 target_link_libraries(kttsd
+    ${SPEECHD_LIBRARIES}
     ${KDE4_KDECORE_LIBS}
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KUTILS_LIBS}

=== debian/changelog ===
jovie (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:56:43 -0700

jovie (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:25:26 +0100

jovie (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:30 +0100

jovie (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:11:02 +0200

jovie (4:15.04.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.2).

  [ Jeremy Lainé ]
  * New upstream release (15.04.3).
  * Update lintian overrides.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 28 Jul 2015 15:50:27 +0200

jovie (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 10:26:01 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,9 @@
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://accessibility.kde.org/developer/kttsd
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/jovie.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/jovie.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/jovie.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/jovie.git
 
 Package: jovie
 Architecture: any

## jovie 16.04.3

=== debian/changelog ===
jovie (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:26 +0200

jovie (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://accessibility.kde.org/developer/kttsd
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/jovie.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/jovie.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/jovie
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/jovie
 
 Package: jovie
 Architecture: any
@@ -41,17 +41,3 @@
 Description: transitional package for jovie
  This is a transitional package provided to ease upgrade from kttsd
  to jovie.
-
-Package: jovie-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: jovie (= ${binary:Version})
-Breaks: kdeaccessibility-dbg (<< 4:4.8)
-Replaces: kdeaccessibility-dbg (<< 4:4.8)
-Description: debugging symbols for jovie
- This package contains the debugging symbols for jovie. It is to be used
- in order to be able provide proper back traces for possible crashes or
- for running jovie in gdb or valgrind for meaningful output
- .
- This package is part of the KDE accessibility module
